Page MenuHomePhabricator

Implement “Reference” constraint
Closed, ResolvedPublic

Description

A “used as reference” constraint (Q21528959) is violated when a property is used in a main snak or qualifier, instead of in a reference. It’s analogous to the “used for values only” and “used as qualifier” constraint types.

This should be possible to implement by following the instructions in the README and/or copying Id45d80e7a0. I’m leaving it open for a few days in case a volunteer wants to get their feet wet in the WikibaseQualityConstraints code, otherwise I’ll claim it and implement it (hopefully in time for T176863).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2017, 4:28 PM
Lydia_Pintscher triaged this task as Normal priority.Jun 11 2017, 4:57 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 2 2017, 9:18 AM

Change 382715 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add “used as reference” constraint type

https://gerrit.wikimedia.org/r/382715

Change 382715 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add “used as reference” constraint type

https://gerrit.wikimedia.org/r/382715

Lucas_Werkmeister_WMDE closed this task as Resolved.Oct 9 2017, 12:12 PM
Lucas_Werkmeister_WMDE moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.